Brivio API reference
Costs

Costs overview of a month: spend and forecast per currency, top services, SaaS subscriptions (scope: costs:read)

GET
/costs

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Query Parameters

period?string

Month YYYY-MM (Europe/Bucharest); default the current month.

Match^\d{4}-(0[1-9]|1[0-2])$

Response Body

OK

application/json
  1. response
data*
error*null
curl -X GET "https://example.com/costs"
{  "data": {    "period": "string",    "connectors": 0,    "has_usage": true,    "by_currency": [      {        "currency": "string",        "month_to_date_minor": 0,        "forecast_minor": 0      }    ],    "top_services": [      {        "provider": "string",        "service": "string",        "currency": "string",        "cost_minor": 0      }    ],    "subscriptions_monthly": [      {        "currency": "string",        "monthly_minor": 0      }    ]  },  "error": null}